Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.util
Class RMMsgCreator

    java.lang.Object
      org.apache.sandesha2.util.RMMsgCreator

    public class RMMsgCreator

extends java.lang.Object

Used to create new RM messages.

Field Summary
`static java.lang.String` | `ACK_TO_BE_WRITTEN`

Constructor Summary
`RMMsgCreator()`

Method Summary
`static void` | `addAckMessage(RMMsgContext applicationMsg, java.lang.String sequenceId, RMDBean rmdBean, boolean addToEnvelope, boolean isPiggybacked)` Adds an Ack of specific sequence to the given application message.
`static void` | `addAckRequest(RMMsgContext applicationMsg, java.lang.String sequenceId, RMSBean rmsBean)` Adds an Ack Request for a specific sequence to the given application message.
`static RMMsgContext` | `createCloseSeqResponseMsg(RMMsgContext closeSeqRMMsg, RMSequenceBean rmSequenceBean)`
`static RMMsgContext` | `createCreateSeqMsg(RMSBean rmsBean, RMMsgContext applicationRMMsg)` Create a new CreateSequence message.
`static RMMsgContext` | `createCreateSeqResponseMsg(RMMsgContext createSeqMessage, RMSequenceBean rmSequenceBean)` Create a new CreateSequenceResponse message.
`static RMMsgContext` | `createMakeConnectionMessage(RMMsgContext referenceRMMessage, RMSequenceBean bean, java.lang.String makeConnectionSeqId, java.lang.String makeConnectionAnonURI)`
`static RMMsgContext` | `createTerminateSeqResponseMsg(RMMsgContext terminateSeqRMMsg, RMSequenceBean rmSequenceBean)`
`static RMMsgContext` | `createTerminateSequenceMessage(RMMsgContext referenceRMMessage, RMSBean rmsBean, StorageManager storageManager)` Creates a new TerminateSequence message.
`static void` | `secureOutboundMessage(RMSequenceBean rmBean, org.apache.axis2.context.MessageContext message)` This will add necessary data to a out-bound message to make sure that is is correctly secured.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACK_TO_BE_WRITTEN

    public static final java.lang.String ACK_TO_BE_WRITTEN

See Also:
  Constant Field Values

Constructor Detail

### RMMsgCreator

    public RMMsgCreator()

Method Detail

### createCreateSeqMsg

    public static RMMsgContext createCreateSeqMsg(RMSBean rmsBean,
                                                  RMMsgContext applicationRMMsg)
                                           throws org.apache.axis2.AxisFault

  Create a new CreateSequence message.

  Parameters:
    `applicationRMMsg` -
    `internalSequenceId` -
    `acksToEPR` -
  Returns:
  Throws:
    `SandeshaException`
    `org.apache.axis2.AxisFault`

### createTerminateSequenceMessage

    public static RMMsgContext createTerminateSequenceMessage(RMMsgContext referenceRMMessage,
                                                              RMSBean rmsBean,
                                                              StorageManager storageManager)
                                                       throws org.apache.axis2.AxisFault

  Creates a new TerminateSequence message.

  Parameters:
    `referenceRMMessage` -
  Returns:
  Throws:
    `SandeshaException`
    `org.apache.axis2.AxisFault`

### createCreateSeqResponseMsg

    public static RMMsgContext createCreateSeqResponseMsg(RMMsgContext createSeqMessage,
                                                          RMSequenceBean rmSequenceBean)
                                                   throws org.apache.axis2.AxisFault

  Create a new CreateSequenceResponse message.

  Parameters:
    `createSeqMessage` -
    `outMessage` -
    `newSequenceID` -
  Returns:
  Throws:
    `org.apache.axis2.AxisFault`

### createTerminateSeqResponseMsg

    public static RMMsgContext createTerminateSeqResponseMsg(RMMsgContext terminateSeqRMMsg,
                                                             RMSequenceBean rmSequenceBean)
                                                      throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### createCloseSeqResponseMsg

    public static RMMsgContext createCloseSeqResponseMsg(RMMsgContext closeSeqRMMsg,
                                                         RMSequenceBean rmSequenceBean)
                                                  throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### addAckMessage

    public static void addAckMessage(RMMsgContext applicationMsg,
                                     java.lang.String sequenceId,
                                     RMDBean rmdBean,
                                     boolean addToEnvelope,
                                     boolean isPiggybacked)
                              throws SandeshaException

  Adds an Ack of specific sequence to the given application message.

  Parameters:
    `applicationMsg` - The Message to which the Ack will be added
    `sequenceId` - - The sequence to which we will be Acking
  Throws:
    `SandeshaException`

### addAckRequest

    public static void addAckRequest(RMMsgContext applicationMsg,
                                     java.lang.String sequenceId,
                                     RMSBean rmsBean)
                              throws SandeshaException

  Adds an Ack Request for a specific sequence to the given application message.

  Parameters:
    `applicationMsg` - The Message to which the AckRequest will be added
    `sequenceId` - - The sequence which we will request the ack for
  Throws:
    `SandeshaException`

### createMakeConnectionMessage

    public static RMMsgContext createMakeConnectionMessage(RMMsgContext referenceRMMessage,
                                                           RMSequenceBean bean,
                                                           java.lang.String makeConnectionSeqId,
                                                           java.lang.String makeConnectionAnonURI)
                                                    throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### secureOutboundMessage

    public static void secureOutboundMessage(RMSequenceBean rmBean,
                                             org.apache.axis2.context.MessageContext message)
                                      throws SandeshaException

  This will add necessary data to a out-bound message to make sure that is is correctly secured. Security Token Data will be taken from the Sandesha2 security manager.

  Parameters:
    `rmBean` - Sequence bean to identify the sequence. This could be an in-bound sequence or an out-bound sequence.
    `message` - - The message which will be secured.
  Throws:
    `SandeshaException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.